using IRaCIS.Core.Domain.Share;

namespace IRaCIS.Core.Domain.Models;

[Comment("一致性核查 -  对话记录表")]
[Table("CheckChallengeDialog")]
public class CheckChallengeDialog : BaseAddAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    public SubjectVisit SubjectVisit { get; set; }
    #endregion

    [Comment("CRC是否需要回复 前端使用")]
    public bool? IsCRCNeedReply { get; set; }

    [Comment("核查的检查信息Json")]
    [MaxLength]
    public string ParamInfo { get; set; } = null!;

    public Guid SubjectVisitId { get; set; }

    [MaxLength]
    public string TalkContent { get; set; } = null!;

    [Comment("核查过程中的操作用户类型")]
    public UserTypeEnum UserTypeEnum { get; set; }

}
